# Tasko: The Open-Source Task Management App

[![codecov](https://codecov.io/github/ahmadk953/tasko/graph/badge.svg?token=IJ8U9B49RU)](https://codecov.io/github/ahmadk953/tasko)

> [!WARNING]
> **This website is still in a alpha state**. There will be lots of bugs and broken/missing features. This website **IS NOT** production ready and lots of essential features are missing such as data encryption. This application can also break at any time and all of your data could be lost. **Uptime for this project is not guaranteed**.

## About

![Tasko Home Page](https://cloud-1j1952uqc-hack-club-bot.vercel.app/0image.png)

Tasko is a website that helps you manage your tasks efficiently by using kanban boards. Kanban boards are a visual way of organizing your work into different stages, such as to-do, in progress, and done. With Tasko, you can create and customize your own kanban boards and add tasks. Tasko is designed to be simple, intuitive, and flexible, so you can focus on getting things done and achieving your goals. [Try Tasko Today!](https://tasko.ahmadk953.org/)

## Documentation

> [!WARNING]
> Documentation is not complete and is still a work in progress.

Documentation can be found [here](https://docs.tasko.ahmadk953.org/).

## Roadmap

This will be published on the site some time soon but for now, the roadmap will be listed here.

- [ ] Board sorting options (Boards Page)
- [ ] Add real-time collaboration _In Progress - Liveblocks with presence implemented roughly_
- [ ] Add end-to-end Database encryption (for customer data such as card titles and descriptions, and subscription information)
- [ ] Add dark mode _In Progress_
- [ ] Rich Text Support in Card Descriptions
- [ ] Self-Hosted Version
- [ ] Move Roadmap to Website _In Progress - Starting off With a Basic MDX Page_

## Contributing and Development

### Development Commands

Install Dependencies: ``yarn install --immutable``

Start Dev Server: ``yarn dev``

Production Build: ``yarn build``

Start Production Server: ``yarn start``

Linting: ``yarn lint``

Check Formatting: ``yarn format``

Fix Formatting: ``yarn format:fix``

Testing: ``yarn test``

Coverage: ``yarn coverage``

Please make sure to lint, check formatting, and test (using the commands listed above) before submitting a Pull Request.

## Legal

Privacy Policy _Will be added back soon_

Terms of Service _Will be added along with privacy policy_

[License](https://github.com/ahmadk953/tasko/blob/main/LICENCE) _Will be added onto the website with privacy policy and terms of service_
